Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config
Interface JposRegPopulator

All Known Subinterfaces:
  CompositeRegPopulator, XmlRegPopulator

All Known Implementing Classes:
  AbstractRegPopulator

public interface JposRegPopulator

Defines an interface to load, save JposEntries

Since:
  1.2 (NY 2K 99 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Method Summary
`java.lang.String` | `getClassName()`
`java.util.Enumeration` | `getEntries()`
`java.net.URL` | `getEntriesURL()`
`java.lang.Exception` | `getLastLoadException()`
`java.lang.String` | `getName()`
`java.lang.String` | `getUniqueId()`
`boolean` | `isComposite()`
`void` | `load()` Tell the populator to load the entries
`void` | `load(java.lang.String fileName)` Loads the entries specified in the fileName
`void` | `save(java.util.Enumeration entries)` Tell the populator to save the current entries
`void` | `save(java.util.Enumeration entries, java.lang.String fileName)` Tell the populator to save the current entries in the file specified

Method Detail

### getUniqueId

    public java.lang.String getUniqueId()

  Returns:
    a unique String ID for this JposRegPopulator instance Can be implemented in terms of the getClassName() method
  Since:
    1.3 (Washington DC 2001 meeting)

### getClassName

    public java.lang.String getClassName()

  Returns:
    the fully qualified class name implementing the JposRegPopulator interface
  Since:
    1.3 (Washington DC 2001 meeting)

### save

    public void save(java.util.Enumeration entries)
              throws java.lang.Exception

  Tell the populator to save the current entries
  Parameters:
    `entries` - an enumeration of JposEntry objects
  Throws:
    `java.lang.Exception` - if any error occurs while saving
  Since:
    1.2 (NY 2K meeting)

### save

    public void save(java.util.Enumeration entries,
                     java.lang.String fileName)
              throws java.lang.Exception

  Tell the populator to save the current entries in the file specified
  Parameters:
    `entries` - an enumeration of JposEntry objects
    `fileName` - the file name to save entries
  Throws:
    `java.lang.Exception` - if any error occurs while saving
  Since:
    1.3 (SF 2K meeting)

### load

    public void load()

  Tell the populator to load the entries
  Since:
    1.2 (NY 2K meeting)

### load

    public void load(java.lang.String fileName)

  Loads the entries specified in the fileName
  Parameters:
    `fileName` - the entries file name
  Since:
    1.3 (SF 2K meeting)

### getLastLoadException

    public java.lang.Exception getLastLoadException()

  Returns:
    the last exception (if any) during the last load or null if no exception occurred
  Since:
    2.0.0

### getEntriesURL

    public java.net.URL getEntriesURL()

  Returns:
    the URL pointing to the entries file loaded or saved
  Since:
    1.2 (NY 2K meeting)

### getEntries

    public java.util.Enumeration getEntries()

  Returns:
    an Enumeration of JposEntry objects
  Since:
    1.2 (NY 2K meeting)

### isComposite

    public boolean isComposite()

  Since:
    1.3 (Washington DC 2001 meeting)

### getName

    public java.lang.String getName()

  Returns:
    the name of this populator. This should be a short descriptive name
  Since:
    1.3 (Washington DC 2001 meeting)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details